// ==========================================================================
// 所属模块：Upload/Token
// 生成日期：2024-02-08 17:09:21 +0800 CST
// 生成路径: upload/token/function.js
// 生成人：xScript_Engine
// 数据表：sys_files - 文件上传(又拍云)
// ==========================================================================

response.headers.add('X-Script-Version', 'upload-1.0');

function main() {
    // 验证用户权限
    'use api/user/acl/excerpt.js'
    const file_id = payload.get().path.split('/').pop();
    const params = payload.get().query; // 获取请求参数
    if (!file_id || !params.signature) {
        return errMsg(400, '缺少参数');
    }
    const sql = `INSERT INTO sys_files (file_id, file_name, file_path, file_type, file_size, file_hash, proprietor_id, proprietor_name, privacy,is_folder,parent_id) VALUES (?, ?, ?, ? , ? , ?, ?, ?, ?, ?, ?);`;
    let result = SQL.exec(
        'system_sql',
        sql,
        file_id,
        params.name,
        params.path,
        params.type,
        params.size,
        params.signature,
        USER_INFO.user_id,
        USER_INFO.nickname,
        params.privacy ? params.privacy : 0,
        params.isFolder ? params.isFolder : 0,
        params.parentId ? params.parentId : 0
    );

    if (result) {
        return okMsg(true)
    }
    return errMsg(400, '上传失败')
}
